
#ifndef ROOT_TAttFunc
#define ROOT_TAttFunc

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TAttFunc                                                             //
//                                                                      //
// Associated function attributes.                                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_Gtypes
//*KEEP,Gtypes.
#include "Gtypes.h"
//*KEND.
#endif


class TAttFunc {

protected:
   Color_t    fFuncColor;           //function color
   Style_t    fFuncStyle;           //function style
   Width_t    fFuncWidth;           //function width

public:
   TAttFunc();
   TAttFunc(Color_t fcolor,Style_t fstyle, Width_t fwidth);
   virtual   ~TAttFunc();
   void       Copy(TAttFunc &attfunc);
   Color_t    GetFuncColor() {return fFuncColor;}
   Style_t    GetFuncStyle() {return fFuncStyle;}
   Width_t    GetFuncWidth() {return fFuncWidth;}

   virtual void     Reset(Option_t *option="");
   virtual void     SetFuncColor(Color_t fcolor) { fFuncColor = fcolor;}
   virtual void     SetFuncStyle(Style_t fstyle) { fFuncStyle = fstyle;}
   virtual void     SetFuncWidth(Width_t fwidth) { fFuncWidth = fwidth;}

   ClassDef(TAttFunc,0)  //Associated function attributes
};

#endif

